For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETList IMSIs
        • GETGet IMSI
        • PATCHUpdate IMSI status
        • GETGet IMSI status
        • GETList IMSI events
LogoLogo
Request featuresContact support
API ReferenceImsi

Update IMSI status

PATCH
https://cdn.emnify.net/api/v1/imsi/:imsi_id
PATCH
/api/v1/imsi/:imsi_id
$curl -X PATCH https://cdn.emnify.net/api/v1/imsi/imsi_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "status": {
> "id": 1
> }
>}'
You can enable/disable an IMSI by updating its status, provided that it is assigned to one of your SIM cards or your organization is the IMSI resource provider: - status (Object, optional)
Was this page helpful?
Previous

Get IMSI

Next

Get IMSI status

Built with

You can enable/disable an IMSI by updating its status, provided that it is assigned to one of your SIM cards or your organization is the IMSI resource provider:

  • status (Object, optional)

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

imsi_idstringRequired

Request

This endpoint expects an object.
statusobjectRequired

Response

The server has successfully fulfilled the request and that there is no additional content to send in the response payload body